Open CASCADE Technology: BVH_SpatialMedianBuilder< T, N > Class Template Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BVH_SpatialMedianBuilder< T, N > Class Template Reference

Performs building of BVH tree using spatial median split algorithm. More...

`#include <BVH_SpatialMedianBuilder.hxx>`

Inheritance diagram for BVH_SpatialMedianBuilder< T, N >:
[legend]

## Public Member Functions
| BVH_SpatialMedianBuilder (const Standard_Integer theLeafNodeSize=5, const Standard_Integer theMaxTreeDepth=32, const Standard_Boolean theToUseMainAxis=Standard_False)
| Creates spatial median split builder. More...
virtual | ~BVH_SpatialMedianBuilder ()
| Releases resources of spatial median split builder. More...
Public Member Functions inherited from BVH_BinnedBuilder< T, N, 2 >
| BVH_BinnedBuilder (const Standard_Integer theLeafNodeSize=5, const Standard_Integer theMaxTreeDepth=32, const Standard_Boolean theToUseMainAxis=Standard_False)
| Creates binned SAH BVH builder. More...
virtual | ~BVH_BinnedBuilder ()
| Releases resources of binned SAH BVH builder. More...
Public Member Functions inherited from BVH_QueueBuilder< T, N >
| BVH_QueueBuilder (const Standard_Integer theLeafNodeSize, const Standard_Integer theMaxTreeDepth)
| Creates new BVH queue based builder. More...
virtual | ~BVH_QueueBuilder ()=0
| Releases resources of BVH queue based builder. More...
virtual void | Build (BVH_Set< T, N > *theSet, BVH_Tree< T, N > *theBVH, const BVH_Box< T, N > &theBox)
| Builds BVH using specific algorithm. More...
Public Member Functions inherited from BVH_Builder< T, N >
| BVH_Builder (const Standard_Integer theLeafNodeSize, const Standard_Integer theMaxTreeDepth)
| Creates new abstract BVH builder. More...
virtual | ~BVH_Builder ()
| Releases resources of BVH builder. More...

## Additional Inherited Members
Public Types inherited from BVH_BinnedBuilder< T, N, 2 >
typedef BVH_Bin< T, N > | BVH_BinVector[Bins]
| Type for the array of bins of BVH tree node. More...
Protected Member Functions inherited from BVH_BinnedBuilder< T, N, 2 >
virtual void | BuildNode (BVH_Set< T, N > *theSet, BVH_Tree< T, N > *theBVH, const Standard_Integer theNode)
| Builds BVH node for specified task info. More...
virtual void | GetSubVolumes (BVH_Set< T, N > *theSet, BVH_Tree< T, N > *theBVH, const Standard_Integer theNode, BVH_BinVector &theBins, const Standard_Integer theAxis)
| Arranges node primitives into bins. More...
Protected Member Functions inherited from BVH_Builder< T, N >
void | UpdateDepth (BVH_Tree< T, N > *theBVH, const Standard_Integer theLevel)
| Updates depth of constructed BVH tree. More...
Protected Attributes inherited from BVH_QueueBuilder< T, N >
NCollection_Vector< Standard_Integer > | myTasksQueue
| Queue to manage BVH node building tasks. More...
Protected Attributes inherited from BVH_Builder< T, N >
Standard_Integer | myMaxTreeDepth
| Maximum depth of constructed BVH. More...
Standard_Integer | myLeafNodeSize
| Maximum number of objects per leaf. More...

## Detailed Description

### template<class T, int N>
class BVH_SpatialMedianBuilder< T, N >

Performs building of BVH tree using spatial median split algorithm.

## Constructor & Destructor Documentation

template<class T , int N>

BVH_SpatialMedianBuilder< T, N >::BVH_SpatialMedianBuilder | ( | const Standard_Integer | theLeafNodeSize = `5`,
|  | const Standard_Integer | theMaxTreeDepth = `32`,
|  | const Standard_Boolean | theToUseMainAxis = `Standard_False`
| ) |  |

Creates spatial median split builder.

template<class T , int N>

virtual BVH_SpatialMedianBuilder< T, N >::~BVH_SpatialMedianBuilder | ( |  | ) |
| virtual

Releases resources of spatial median split builder.

The documentation for this class was generated from the following file:

- BVH_SpatialMedianBuilder.hxx